package db

import (
	"os"
	"testing"

	"github.com/stretchr/testify/assert"

	"code.dumpstack.io/tools/out-of-tree/api"
)

func TestJobTable(t *testing.T) {
	file, db := tmpdb(t)
	defer os.Remove(file.Name())
	defer db.Close()

	job := api.Job{
		RepoName: "testname",
		Commit:   "test",
		Params:   "none",
	}

	err := AddJob(db, &job)
	assert.Nil(t, err)

	job.Params = "changed"

	err = UpdateJob(db, &job)
	assert.Nil(t, err)

	jobs, err := Jobs(db)
	assert.Nil(t, err)

	assert.Equal(t, 1, len(jobs))

	assert.Equal(t, job.Params, jobs[0].Params)
}
